Subject: Re: [PATCH] rev-parse: add option for absolute or relative path formatting

From: Jonathan Nieder <[email-masked]>
Date: Wed, 4 Nov 2020 14:16:59 -0800

brian m. carlson wrote:

> This impetus for this patch is Git LFS, which is written in Go.  Go
> lacks a cross-platform way to canonicalize paths in the same way that
> Git does, so when Git produces relative paths, such as in some cases
> with --git-common-dir, we end up with problems when users are doing
> things with unusual paths on Windows, such as when using SUBST or
> OneDrive or various other edge cases.  Go upstream does not appear eager
> to address this problem.

Can you describe the user-facing symptom?  While reviewing
https://lore.kernel.org/git/[email-masked]/
I'm trying to understand the motivation and I'm getting stuck at
trying to understand the basics of the problem being solved.

E.g. is this about being able to compare paths, being able to open
files, resolving symlinks, something else?

Thanks,
Jonathan